require("config");

for i,item in pairs(data.raw.item) do
	if boxing.subgroups[item.subgroup] then
		table.insert(boxing.items, item);
	end
end


require("prototypes.item.groups");
require("prototypes.recipe.categories");

require("prototypes.item.boxes");
require("prototypes.recipe.boxes");

require("prototypes.item.boxing");
require("prototypes.recipe.boxing");
require("prototypes.technology.boxing");


if boxing.generateIconConfig then
	data:extend({
		{
			type = "item-subgroup",
			name = "boxing-icons",
			group = "boxing",
		},
	});
	for i,item in pairs(boxing.items) do
		data:extend({
			{
				type = "item",
				name = "box-icon-" .. item.name,
				icon = "__boxing__/graphics/icons/box-32.png",
				subgroup = "boxing-icons",
				--store the item's icon as the order string so that control.lua can grab it and write it to a config file
				order = item.icon,
				stack_size = 1,
				flags = {},
			},
		});
	end
end
